estrellas
Mechanical
- May 13, 2012
- 3
I'm writing simple macro for FT&A module and i have strange problem.
Sub CATMain()
Set PartDoc = Catia.ActiveDocument
Set Part = PartDoc.Part
Set AnnotationSets = Part.AnnotationSets
LiczbaZA = AnnotationSets.Count
Set ZbiorAdnotacji = AnnotationSets.Item(1)
Set Adnotacje = ZbiorAdnotacji.annotations
LiczbaA = Adnotacje.Count
dim test as double
dim test2 as double
For Licznik = 1 To LiczbaA
Set Adnotacja = Adnotacje.Item(Licznik)
typ = Adnotacja.Type
If typ = "FTA_LinearDimension" Then
Set Wymiar3d = Adnotacja.Dimension3D
Set PobierzAn = Wymiar3d.Get2dAnnot
Set Wartosc = PobierzAn.GetValue
test = Wartosc.Value
MsgBox (test)
chuj =CDbl( Wartosc.Value)
If (chuj) = 10 Then
MsgBox "ZIOOOM"
End If
End if
Next
End Sub
Sub CATMain()
Set PartDoc = Catia.ActiveDocument
Set Part = PartDoc.Part
Set AnnotationSets = Part.AnnotationSets
LiczbaZA = AnnotationSets.Count
Set ZbiorAdnotacji = AnnotationSets.Item(1)
Set Adnotacje = ZbiorAdnotacji.annotations
LiczbaA = Adnotacje.Count
dim test as double
dim test2 as double
For Licznik = 1 To LiczbaA
Set Adnotacja = Adnotacje.Item(Licznik)
typ = Adnotacja.Type
If typ = "FTA_LinearDimension" Then
Set Wymiar3d = Adnotacja.Dimension3D
Set PobierzAn = Wymiar3d.Get2dAnnot
Set Wartosc = PobierzAn.GetValue
test = Wartosc.Value
MsgBox (test)
chuj =CDbl( Wartosc.Value)
If (chuj) = 10 Then
MsgBox "ZIOOOM"
End If
End if
Next
End Sub